Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 597114 - <dev-libs/libxml2-2.9.4-r1: null pointer dereference
Summary: <dev-libs/libxml2-2.9.4-r1: null pointer dereference
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://git.gnome.org/browse/libxml2/...
Whiteboard: A3 [glsa blocked]
Keywords:
Depends on: 597116
Blocks:
  Show dependency tree
 
Reported: 2016-10-14 14:07 UTC by Agostino Sarubbo
Modified: 2017-01-16 21:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-10-14 14:07:28 UTC
From ${URL} :

Fix more NULL pointer derefs in xpointer.c
Found with afl-fuzz.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-19 00:48:02 UTC
Patch not present in 2.9.4 release.  Will need to backport or await upstream inclusion.
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-19 01:02:07 UTC
(In reply to Aaron Bauman from comment #1)
> Patch not present in 2.9.4 release.  Will need to backport or await upstream
> inclusion.

My apologies, but backport is the wrong terminology.  

Patch not present in 2.9.4.  Will require addition in tree or await upstream inclusion.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-01-16 21:26:39 UTC
This issue was resolved and addressed in
 GLSA 201701-37 at https://security.gentoo.org/glsa/201701-37
by GLSA coordinator Thomas Deutschmann (whissi).